Method: brands.agents.get

  • You can retrieve information about an agent using an HTTP GET request.

  • The request URL uses gRPC Transcoding syntax and requires the unique identifier of the agent as a path parameter.

  • The request body should be empty.

  • A successful response contains an instance of the Agent object.

Get information about an agent.

HTTP request

GET https://businesscommunications.googleapis.com/v1/{name=brands/*/agents/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The unique identifier of the agent. If the brand identifier is "1234" and the agent identifier is "5678", this parameter resolves to "brands/1234/agents/5668".

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Agent.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/businesscommunications

For more information, see the OAuth 2.0 Overview.